
***************************
* File: A_centre_sante.do 
* Questionnaire type: Health Facility
* Country: Madagascar
*****************************

version 10.1
cd "Source\Madagascar 2006 P H\"
capture clear
capture log close
clear
set mem 700m
set more off


use "Source\4- Data\4.1 Raw Data\First Round\csb_2e_jour\C2_date_derniere_livraison.dta"



**************************************************
***    Ensure all variables are present and labeled.
**************************************************
cd "Source\First Round\csb_2e_jour"
log using "C2_date_derniere_livraison", replace
codebook, compact
log close

**************************************************
***    Recode missing values
***************************************************
quietly mvdecode _all,mv (-666 = .d \ -777 = .n \ -888 = .l \ -999 = .r) 

**************************************************
***    Identify outliers
**************************************************

log using "C2_date_derniere_livraison grubbs", replace
grubbs _all, level(99.99)
log close

drop gr*

**************************************************
*** FINAL   : Delivrables
**************************************************

*Codebook
cd "Source\4- Data\4.3. Clean Data\4.3.3. Data Code Book\First Round\csb_2e_jour"
log using "C2_date_derniere_livraison codebook", replace
codebook, compact
log close

*Save cleaned data
cd "Source\4- Data\4.3. Clean Data\4.3.1. Final Data\First Round\csb_2e_jour"
save C2_date_derniere_livraison_cleaned_data.dta, replace
